package com.liquidnet.service.account.wallet.mapper;

import com.liquidnet.service.account.wallet.entity.FinChannel;
import com.liquidnet.service.account.wallet.entity.FinChannelExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface FinChannelMapper {
    int countByExample(FinChannelExample example);

    int insert(FinChannel record);

    int insertSelective(FinChannel record);

    List<FinChannel> selectByExample(FinChannelExample example);

    FinChannel selectByPrimaryKey(String channelId);

    int updateByExampleSelective(@Param("record") FinChannel record, @Param("example") FinChannelExample example);

    int updateByExample(@Param("record") FinChannel record, @Param("example") FinChannelExample example);

    int updateByPrimaryKeySelective(FinChannel record);

    int updateByPrimaryKey(FinChannel record);

    List<FinChannel> selectForClickList();
}